.\"	$NetBSD: leave.1,v 1.10 2003/08/07 11:14:19 agc Exp $
.\"
.\" Copyright (c) 1980, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)leave.1	8.3 (Berkeley) 4/28/95
.\"
.Dd January 19, 2002
.Dt LEAVE 1
.Os
.Sh NAME
.Nm leave
.Nd remind you when you have to leave
.Sh SYNOPSIS
.Nm
.Sm off
.Oo
.Op Cm \&+
.Ns Ar hhmm
.Oc
.Sm on
.Sh DESCRIPTION
.Nm
waits until the specified time (within the next 12 hours), then
reminds you that you have to leave by writing to the TTY that you
executed
.Nm
on.
.Pp
You are reminded 5 minutes and 1 minute before the actual
time, at the time, and every minute thereafter.
When you log off,
.Nm
exits just before it would have
printed the next message.
.Sh OPTIONS
.Bl -tag -width flag
.It Ar hhmm
The time of day is in the form
.Ar hhmm
where
.Ar hh
is a time in
hours (on a 12 or 24 hour clock), and
.Ar mm
are minutes.
.Pp
However, all times are converted to a 12 hour clock, and assumed to
be in the next 12 hours.
An attempt to set an alarm for farther into the future will be truncated
to within the next 12 hours.
.It Cm \&+
If the time is preceded by
.Ql Cm \&+ ,
the alarm will go off in hours and minutes
from the current time.
.El
.Pp
If no argument is given,
.Nm
prompts with "When do you have to leave?".
A reply of newline causes
.Nm
to exit,
otherwise the reply is assumed to be a time.
This form is suitable for inclusion in a
.Pa ~/.login
or
.Pa ~/.profile .
.Sh SEE ALSO
.Xr calendar 1 ,
.Xr csh 1 ,
.Xr sh 1
.Sh HISTORY
The
.Nm
command appeared in
.Bx 3.0 .
.Sh BUGS
In the modern age with
.Xr X 7
and window multiplexing programs like
.Xr window 1
and
.Xr screen 1 ,
the
.Nm
command's reminders and admonitions might not be seen if the user
has the window where
.Nm
was started minimized or obscured.
.Pp
This all begs for a more general user notifications system to be implemented.
